from soar.widgets import *

import XYDriver
reload(XYDriver)
from XYDriver import *

import TSMFull
reload(TSMFull)
from TSMFull import *

# For knowing our exact location, in the simulator only
def cheatPose():
    return app.soar.output.abspose.get()    

######################################################################
###
###          Brain methods
###
######################################################################
def setup():
    robot.goalEpsilon = 0.05
    robot.behavior =     # Your code here
    robot.behavior.start(collectSensors())

def step():
    print 'chearPose=', cheatPose()
    if robot.behavior.done():
        print "done"
        doAction((0.0, 0.0))
    else: 
        doAction(robot.behavior.step(collectSensors()))

def collectSensors():
    return [sonarDistances(), cheatPose()]
    
def doAction(a):
    (fvel, rvel) = a
    motorOutput(fvel, rvel)
