import TSMFull
reload(TSMFull)
from TSMFull import *

# stops is a function from times (integers starting at 0) to locations
# State is time and location.  If the bus is moving, the location is
# None

class Bus(PrimitiveSM):
    def __init__(self, stops, timePerStep):
        self.stops = stops
        self.timePerStep = timePerStep
        
        # We ignore the input
        def transitionFn((loc, time), a):
            newTime = time + self.timePerStep
            newLoc = self.stops(newTime)
            return (newLoc, newTime)

        PrimitiveSM.__init__(self,
                             transitionFn,
                             lambda s: s,    # output
                             lambda input: (None, 0),  # init state
                             legalInputs = lambda s : [0])

        
    
    
