import search
reload(search)
from search import *

#import utilities
#reload(utilities)
#from utilities import *

class Planner:
    def __init__(self, sm):
        self.sm = sm

    # Given initialState and optional goal test
    def plan(self, initialState=None, goalTest = None, depthFirst = False):
        def successors(s):
            return [(a, self.sm.transitionFunction(s, a)) \
                    for a in self.sm.legalInputs(s)]

        if initialState == None:
            initialState = self.sm.currentState
        if goalTest == None:
            goalTest = self.sm.terminationFunction
        print "Planning:", initialState
        
        result = searchDP(initialState, goalTest, successors, depthFirst)
        
        if result:
#            print "Path:", prettyString([s for (a, s) in result])
             print "Path:", result
        else:
            print "Couldn't get from ", initialState, " to goal"
        return result




    
        
        
