dimensions(4,4)
initialRobotLoc(3, 3)

# Steps seem to be .012 seconds

# Where the bus is, when
# Think of the bus as taking big steps
timeAtStop = 4.0 # sec
v = 0.8 # m / sec
# The bus stops in this world are two meters apart
distBetweenStops = 2.0 # m
timeBetweenStops = distBetweenStops / v  # sec
timePerRoute = 4 * (timeAtStop + timeBetweenStops)

# Disgusting global variable hack
import __builtin__

class busRoute(object):
    def __init__(self):
        self.time = 0
    def step(self, dt):
        self.time = self.time + dt
        __builtin__.robotTime = self.time
        #print self.time
        t = self.time % timePerRoute
        if t < timeAtStop:
            return (0.0, 0.0, 0.0)
        elif t < timeAtStop + timeBetweenStops:
            return (dt * v, 0.0, 0.0)
        elif t < 2*timeAtStop + timeBetweenStops:
            return (0.0, 0.0, 0.0)
        elif t < 2*timeAtStop + 2*timeBetweenStops:
            return (0.0, dt * v, 0.0)            
        elif t < 3*timeAtStop + 2*timeBetweenStops:
            return (0.0, 0.0, 0.0)            
        elif t < 3*timeAtStop + 3*timeBetweenStops:
            return (-dt * v, 0.0, 0.0)            
        elif t < 4*timeAtStop + 3*timeBetweenStops:
            return (0.0, 0.0, 0.0)
        else:
            return (0.0, dt* -v, 0.0)

fvel = 0.1
class forward(object):
    def __init__(self):
        self.time = 0
    def step(self, dt):
        self.time += dt
        print self.time, dt
        return (dt * fvel, 0.0, 0.0)
        
movingObstacle(((0.9, 0.9),(0.9,1.1),(1.1,1.1),(1.1,0.9),(0.9,0.9)),
               (1.0,1.0), busRoute().step)

    
